/* ..Adds methods specialized for CLI command registry. */!!

inherit(Library, #CliLibrary, nil, 2, nil)!!

now(class(CliLibrary))!!

now(CliLibrary)!!

/* Returns the library handle */
Def handle(self)
{ ^hLib }
!!

/* New proc prototypes points have been added; get the entry points */
Def reLoad(self)
{
  keysDo( procs,
          {using(pr | addr) 
           addr := Call GetProcAddress(hLib, ordinals[pr]);
           setAddr(procs[pr], addr);
          }
         );
}
!!
